Subject: Re: FVWM: Re: fvwm2.3.17 problems still in 2.3.21

From: Dominik Vogt <[email-masked]>
Date: Wed, 6 Sep 2000 23:49:47 +0200

On Wed, Sep 06, 2000 at 02:19:17PM -0700, Elliot Sowadsky wrote:
> 
> All i needed was
> 
> open a xview window.
> Click on it.
> Move mouse to root.
> Window may lose focus.
> 
> Moving mouse from one xview window to another w/o passing over root was ok.
> I usually immediately click into new windows so never focused windows
> generally doesnt happen.

I can see it again now. I'm on the hunt again.

> Ive Neverfocused and "multiscreen ptch in events" these problems away.

The problem seems to be, that fvwm does not properly keep track
of the focus if an xview window becomes focused.  The Scr.Focus
variable does not reflect reality and therefore strange things
happen when the mouse enters or leaves windows.  With a bit more
time and a way to reproduce them, I will soon hunt down these
problems.

> One i cant get around is mailtool header window diving to back when msg
> (view) window opens. This didnt happen in 2.3.16.
> IgnoreRestack doesnt help.

Hm, I need a Linux executable of mailtool to test this. Do you
have one handy?

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]